
From: Tobias Klauser <tklauser@nuerscht.ch>

Replace the custom CHAR_IS_NUM() macro with isdigit() from <linux/ctype.h>

Signed-off-by: Tobias Klauser <tklauser@nuerscht.ch>
Cc: "Antonino A. Daplas" <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/video/pm3fb.c |    3 ++-
 include/video/pm3fb.h |    3 ---
 2 files changed, 2 insertions(+), 4 deletions(-)

diff -puN drivers/video/pm3fb.c~drivers-video-replace-custom-macro-with-isdigit drivers/video/pm3fb.c
--- devel/drivers/video/pm3fb.c~drivers-video-replace-custom-macro-with-isdigit	2005-09-10 14:45:48.000000000 -0700
+++ devel-akpm/drivers/video/pm3fb.c	2005-09-10 14:45:48.000000000 -0700
@@ -67,6 +67,7 @@
 #include <linux/init.h>
 #include <linux/pci.h>
 #include <linux/ioport.h>
+#include <linux/ctype.h>
 
 #include <video/fbcon.h>
 #include <video/fbcon-mfb.h>
@@ -2594,7 +2595,7 @@ static char *pm3fb_boardnum_setup(char *
 {
 	char *next;
 
-	if (!(CHAR_IS_NUM(options[0]))) {
+	if (!(isdigit(options[0]))) {
 		(*bn) = 0;
 		return (options);
 	}
diff -puN include/video/pm3fb.h~drivers-video-replace-custom-macro-with-isdigit include/video/pm3fb.h
--- devel/include/video/pm3fb.h~drivers-video-replace-custom-macro-with-isdigit	2005-09-10 14:45:48.000000000 -0700
+++ devel-akpm/include/video/pm3fb.h	2005-09-10 14:45:48.000000000 -0700
@@ -1142,9 +1142,6 @@
 /* do we want accelerated console  */
 #define PM3FB_USE_ACCEL 1
 
-/* useful ? */
-#define CHAR_IS_NUM(a)  ((((a) >= '0') && ((a) <= '9')) ? 1 : 0)
-
 /* for driver debugging ONLY */
 /* 0 = assert only, 1 = error, 2 = info, 3+ = verbose */
 /* define PM3FB_MASTER_DEBUG 1 */
_
